#include <gnome.h>

void update_list_artist(void);
void init_treeviews(void);
void status_msg (char *msg);
void status_printf (const char *format, ...);
void status_bar (char *barname, char *msg);
void status_default (void);
void status_top (void);
void xmms_buttons(gboolean active);

void select_item(char *treeview, int col, int cmp);
void update_list_album(int Artist);
void update_list_song(int Artist, int Album);
void update_album_artwork(int Artist, int Album);

gint sort_compare_func (GtkTreeModel *model, GtkTreeIter *a, GtkTreeIter *b, gpointer userdata);

enum { COL_TITLE = 0, COL_INDEX, COL_LENGTH, COL_STATS, COL_IDX, COL_LAST };
enum { SORTID_TITLE = 0, SORTID_INDEX, SORTID_LENGTH, SORTID_STATS, SORTID_ALBUM, SORTID_ARTIST, SORTID_SONG , SORTID_ALBUMALL};

enum { ALB_NAME = 0, ALB_NUM, ALB_IDX, ALB_LAST };
enum { ART_NAME = 0, ART_IDX, ART_LAST };

enum { DND_TEXT_URI_LIST=1000, DND_TEXT_PLAIN };
#define TGNR(a) (guint)(sizeof(a)/sizeof(GtkTargetEntry))

#ifdef INCLUDE_DND
/* Drag and drop types for search & song tables */
static GtkTargetEntry drag_types [] = { 
	{ "text/uri-list", 0, DND_TEXT_URI_LIST }, 
	{ "text/plain", 0, DND_TEXT_PLAIN }, 
	{ "STRING", 0, DND_TEXT_PLAIN }
};
#endif

#ifdef INCLUDE_DROP
static GtkTargetEntry drop_types [] = { 
	{ "text/uri-list", 0, DND_TEXT_URI_LIST }, 
	{ "application/x-rootwindow-drop", 0, DND_TEXT_PLAIN }
};
#endif
