#include <gnome.h>

void parse_preferences(GtkWidget *prefdialog);
void set_preferences(GtkWidget *prefdialog);
void init_preferences(void);
gchar *get_home_cfg (char *name);

void save_preferences();
void load_preferences();

typedef struct {
	char *root;
	int searchlimit;
	gboolean restore;
	int auto_select_album;
	gboolean auto_save_db;
	gboolean auto_save_stats;
	gboolean xmms;
	gboolean xmms_start;
	gboolean add_random;
	gboolean add_random_two;
	int playlist_maxlen;
	char *indexname;
	char *imagename;
}Preferences;
